Unable to request an Let's encrypt certificate: UnexpectedUpdate: AuthorizationResource(body=Authorization(status=Status(pending)

Created:

2016-11-16 12:42:59 UTC

Modified:

2017-08-08 13:30:01 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Unable to request an Let's encrypt certificate: UnexpectedUpdate: AuthorizationResource(body=Authorization(status=Status(pending)

Applicable to:

  • Plesk 12.5 for Linux

Symptoms

Unable to request Let's Encrypt certificate for a domain with uppercase characters in its name. The following error is thrown in Plesk:

An unexpected error occurred:

UnexpectedUpdate: AuthorizationResource(body=Authorization(status=Status(pending), challenges=(ChallengeBody(chall=HTTP01(token='^\\x8c\\\\\\x15{\\x0f\\x18KE\\xf9D\\x98\\xfd\\xfb\\xd7Q\\xfa\\xc2\\xf0~\\xfd\\xf5\\r\\xe9\\x1f\\xd3\\xf1t\\xb0s\\xea\\x9d'), status=Status(pending), validated=None, uri=u'https://acme-v01.api.letsencrypt.org/acme/challenge/5umpGGx_6ptQ0bg7zbxSVFrg4yiIf4fqqTETimF7YPc/122942991', error=None), ChallengeBody(chall=UnrecognizedChallenge(), status=Status(pending), validated=None, uri=u'https://acme-v01.api.letsencrypt.org/acme/challenge/5umpGGx_6ptQ0bg7zbxSVFrg4yiIf4fqqTETimF7YPc/122942992', error=None), ChallengeBody(chall=TLSSNI01(token='\\xe8\\xc9\\xabX\\x8fl\\xb1\\x16(\\x83/{*\\xcf.\\xb3bu\\x80\\x9d$\\x95\\x1cDwaLY\\x13QoC'), status=Status(pending), validated=None, uri=u'https://acme-v01.api.letsencrypt.org/acme/challenge/5umpGGx_6ptQ0bg7zbxSVFrg4yiIf4fqqTETimF7YPc/122942993', error=None)), identifier=Identifier(typ=IdentifierType(dns), value=u'persoc.de'), expires=datetime.datetime(2016, 6, 20, 16, 9, 53, 707107, tzinfo=<UTC>), combinations=((0,), (1,), (2,))), new_cert_uri='https://acme-v01.api.letsencrypt.org/acme/new-cert', uri='https://acme-v01.api.letsencrypt.org/acme/authz/5umpGGx_6ptQ0bg7zbxSVFrg4yiIf4fqqTETimF7YPc')
Please see the logfiles in /opt/psa/var/modules/letsencrypt/logs for more details.

Cause

The issue was caused by internal software issue in Let'sEnrypt .

Resolution

Update Let's Encrypt extension in Plesk to the latest release: Server Management > Extensions > Let's Encrypt > Update .

Have more questions? Submit a request
Please sign in to leave a comment.